Notifly
API ReferenceSubscribers

Delete all notifications

Permanently delete all in-app (inbox) notifications matching the specified filters. Supports context-based filtering.

POST
/v2/subscribers/{subscriberId}/notifications/delete

Permanently delete all in-app (inbox) notifications matching the specified filters. Supports context-based filtering.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

The identifier of the subscriber

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/subscribers/string/notifications/delete" \  -H "Content-Type: application/json" \  -d '{}'
Empty